# Uses of Interface
org.eclipse.birt.chart.model.data.DataFactory

Packages that use DataFactory
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of DataFactory in org.eclipse.birt.chart.model.data

Fields in org.eclipse.birt.chart.model.data declared as DataFactory
Modifier and Type
Field
Description
`static final DataFactory`
DataFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.birt.chart.model.data that return DataFactory
Modifier and Type
Method
Description
`DataFactory`
DataPackage.`getDataFactory()`
Returns the factory that creates the instances of the model.

## Uses of DataFactory in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement DataFactory
Modifier and Type
Class
Description
`class`
`DataFactoryImpl`
An implementation of the model Factory .
Methods in org.eclipse.birt.chart.model.data.impl that return DataFactory
Modifier and Type
Method
Description
`DataFactory`
DataPackageImpl.`getDataFactory()`
`static DataFactory`
DataFactoryImpl.`init()`
Creates the default factory implementation.